VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR:
[legend]

## Public Member Functions

| operator VkSurfaceCapabilities2KHR const & () const
| operator VkSurfaceCapabilities2KHR & ()
bool | operator== (SurfaceCapabilities2KHR const &rhs) const
bool | operator!= (SurfaceCapabilities2KHR const &rhs) const

## Data Fields

void * | pNext = nullptr
SurfaceCapabilitiesKHR | surfaceCapabilities

## Private Attributes

StructureType | sType = StructureType::eSurfaceCapabilities2KHR

## Detailed Description

Definition at line 29556 of file vulkan.hpp.

## Member Function Documentation

## operator VkSurfaceCapabilities2KHR &()

VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::operator VkSurfaceCapabilities2KHR & | ( |  | ) |

inline

Definition at line 29563 of file vulkan.hpp.

{
return *reinterpret_cast<VkSurfaceCapabilities2KHR*>(this);
}

## operator VkSurfaceCapabilities2KHR const &()

VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::operator VkSurfaceCapabilities2KHR const & | ( |  | ) | const

inline

Definition at line 29558 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSurfaceCapabilities2KHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::operator!= | ( | SurfaceCapabilities2KHR const & | rhs | ) | const

inline

Definition at line 29575 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::operator== | ( | SurfaceCapabilities2KHR const & | rhs | ) | const

inline

Definition at line 29568 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( surfaceCapabilities == rhs.surfaceCapabilities );
}

References pNext, sType, and surfaceCapabilities.

Referenced by operator!=().

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::pNext = nullptr

Definition at line 29584 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::sType = StructureType::eSurfaceCapabilities2KHR

private

Definition at line 29581 of file vulkan.hpp.

Referenced by operator==().

## surfaceCapabilities

SurfaceCapabilitiesKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::surfaceCapabilities

Definition at line 29585 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::pNext
void * pNext
Definition: vulkan.hpp:29584
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::sType
StructureType sType
Definition: vulkan.hpp:29581
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::operator==
bool operator==(SurfaceCapabilities2KHR const &rhs) const
Definition: vulkan.hpp:29568
VkSurfaceCapabilities2KHR
Definition: vulkan_core.h:5779
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2KHR::surfaceCapabilities
SurfaceCapabilitiesKHR surfaceCapabilities
Definition: vulkan.hpp:29585